<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\DrucklistenAllgemein\Drucklisten\ShowKurseListen;


abstract class ShowDruckListenAllgemeinUseCase extends \Kufer\Web\KuferTools\Basis\DrucklistenAllgemein\Drucklisten\ShowKurseListen\ShowDruckListenAllgemeinUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  protected function getIds()
  {
    static $alleKnrs = null;
    if (is_null($alleKnrs)) {
      $user = $this->getUser();
      $kurshelper = new \Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse\DozentenKurse($this->toolSettings, $user, $user->dnr);
      $alleKnrs = $kurshelper->getIdsMitFilter($this->getToolId());
    }

    return $alleKnrs;
  }
}